<ActionBar>
    <Label text="Editar Producto"></Label>

</ActionBar>


<StackLayout backgroundColor="#DAF7A6">
    <Label textAlignment="center" text="Editar Producto" class="fas titul_big"></Label>
    <GridLayout columns="auto, *" rows="auto, auto, auto, auto, auto, auto, auto, auto" width="90%">
        <TextField [text]='id' row="0" col="0" class="fas" colSpan="2" color="orangered" editable= "false"></TextField>

        <Label text="Nombre: " row="1" col="0" class="fas" color></Label>
        <TextField [text]='nombre' maxLength="100" row="1" col="1" class="fas" color="orangered" (textChange)="inputChange($event, 'nombre')"></TextField>

        <Label text="Stock: " row="2" col="0" class="fas"></Label>
        <TextField [text]='stock' row="2" col="1" class="fas"color="orangered" (textChange)="inputChange($event, 'stock')"></TextField>

        <Label text="Precio: " row="3" col="0" class="fas"></Label>
        <TextField [text]='precio' row="3" col="1" class="fas"color="orangered" (textChange)="inputChange($event, 'precio')"></TextField>

        <Label text="Categoría: " row="4" col="0" class="fas"></Label>
        <TextField [text]='categorias' row="4" col="1" class="fas"color="orangered" (textChange)="inputChange($event, 'categorias')"></TextField>

        <Label text="Foto: " row="5" col="0" class="fas"></Label>
        <TextField [text]='foto' row="5" col="1" class="fas"color="orangered" (textChange)="inputChange($event, 'foto')"></TextField>

        <Button [text]="boton" class="fas" row="6" col="0" colSpan="2" (tap)="operar()"></Button>
        <Button text="&#xf060;  Cancelar" class="fas" row="7" col="0" colSpan="2" [nsRouterLink]="['/productos']"></Button>
    </GridLayout>

</StackLayout>
